include("shared.lua")

surface.CreateFont("Armory_Font", {font = "Arial Black", size = 140, antialias = true})
surface.CreateFont("Armory_Font_Shade", {font = "Arial Black", size = 140, blursize = 30, scanlines = 15, antialias = true})

local local_ply, distance
function ENT:Draw()
	self:DrawModel()
	local_ply = local_ply or LocalPlayer()
	distance = local_ply:EyePos():DistToSqr(self:GetPos())
	if distance < 1000000 then
		local ang = self:GetAngles()
		ang:RotateAroundAxis(ang:Forward(), 90)
		ang:RotateAroundAxis(ang:Right(), 270)
		cam.Start3D2D(self:LocalToWorld(Vector(9, 0, 20)), ang, 0.1)
			local lockdown = GetGlobalBool("DarkRP_LockDown")
			draw.DrawText("Arsenal", "Armory_Font_Shade", 0, 7, lockdown and Color(0, 255, 0, 255) or Color(255, 0, 0, 200), TEXT_ALIGN_CENTER)
			draw.DrawText("Arsenal", "Armory_Font", 0, 0, lockdown and Color(255, 255, 0, 255) or Color(255, 0, 0, 150), TEXT_ALIGN_CENTER)
		cam.End3D2D()
	end
end